summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml1
-rw-r--r--openpower/scripts/update-defconfigs.sh18
2 files changed, 19 insertions, 0 deletions
diff --git a/.travis.yml b/.travis.yml
index 88bc1800..405b2543 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -27,6 +27,7 @@ python:
install:
- "pip install -r doc/requirements.txt"
script:
+ - bash openpower/scripts/update-defconfigs.sh
- cd doc/; make latexpdf html
deploy:
diff --git a/openpower/scripts/update-defconfigs.sh b/openpower/scripts/update-defconfigs.sh
new file mode 100644
index 00000000..c82900c3
--- /dev/null
+++ b/openpower/scripts/update-defconfigs.sh
@@ -0,0 +1,18 @@
+#!/bin/bash -x
+
+set -uo pipefail
+
+. op-build-env
+
+for c in openpower/configs/*defconfig; do
+ PLATFORM=`basename $c _defconfig`
+ PLATFORM_DEFCONFIG=`basename $c`
+ echo $PLATFORM
+ ODIR=`mktemp -d`
+ op-build O=$ODIR $PLATFORM_DEFCONFIG
+ op-build O=$ODIR olddefconfig
+ op-build O=$ODIR savedefconfig
+ rm -rf $ODIR
+done
+
+git diff --exit-code
OpenPOWER on IntegriCloud